メインコンテンツへスキップ
POST
/
crm
/
v4
/
associations
/
{fromObjectType}
/
{toObjectType}
/
batch
/
associate
/
default
レコードを関連付け(デフォルト)
curl --request POST \
  --url https://api.hubapi.com/crm/v4/associations/{fromObjectType}/{toObjectType}/batch/associate/default \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "from": {
        "id": "<string>"
      },
      "to": {
        "id": "<string>"
      }
    }
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "associationSpec": {
        "associationCategory": "HUBSPOT_DEFINED",
        "associationTypeId": 123
      },
      "from": {
        "id": "<string>"
      },
      "to": {
        "id": "<string>"
      }
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z"
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

fromObjectType
string
必須

関連付けのソースオブジェクトのタイプを指定します。

toObjectType
string
必須

関連付けのターゲットオブジェクトのタイプを指定します。

ボディ

application/json
inputs
object[]
必須

レスポンス

successful operation

関連付けに対するバッチオペレーションの実行後に返されるレスポンス。

completedAt
string<date-time>
必須

バッチ処理が完了した時刻のタイムスタンプ(ISO 8601形式)。

results
object[]
必須
startedAt
string<date-time>
必須

バッチ処理の実行が開始された時刻のタイムスタンプ(ISO 8601形式)。

status
enum<string>
必須

バッチ処理リクエストのステータス:「PENDING」、「PROCESSING」、「CANCELLED」、または「COMPLETE」。

利用可能なオプション:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
errors
object[]

バッチリクエストに関連する、関連性の高いリンクを含むオブジェクト。

numErrors
integer<int32>

バッチ処理中に発生したエラーの数。

requestedAt
string<date-time>

バッチ処理が開始された時刻のタイムスタンプ(ISO 8601形式)。

Last modified on April 13, 2026